Closed Bug 1538192 Opened 7 months ago Closed 7 months ago

Perma /browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null when Gecko 68 merges to Beta on 2019-05-06

Categories

(Toolkit :: Video/Audio Controls, defect, P1)

defect

Tracking

()

VERIFIED FIXED
mozilla68
Tracking Status
thunderbird_esr60 --- unaffected
geckoview66 --- unaffected
firefox-esr60 --- unaffected
firefox66 --- unaffected
firefox67 --- unaffected
firefox68 + verified

People

(Reporter: apavel, Assigned: mconley)

References

Details

Attachments

(1 file)

[Tracking Requested - why for this release]:

Central as Beta simulation

Treeherder link: https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed%2Cbusted%2Cexception%2Cretry%2Cusercancel%2Crunnable&revision=451e269e2e4e5cf53f9caf3ff09b9788e8938861&selectedJob=235463272

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=235463272&repo=try&lineNumber=4832

[task 2019-03-22T13:13:02.091Z] 13:13:02 INFO - TEST-START | toolkit/components/pictureinpicture/tests/browser_contextMenu.js
[task 2019-03-22T13:13:02.109Z] 13:13:02 INFO - GECKO(2874) | ++DOCSHELL 0x7f68a6e41000 == 2 [pid = 3021] [id = {9287f8ad-9eca-4363-94d4-52baab7983fa}]
[task 2019-03-22T13:13:02.110Z] 13:13:02 INFO - GECKO(2874) | ++DOMWINDOW == 4 (0x7f68a41527a0) [pid = 3021] [serial = 4] [outer = (nil)]
[task 2019-03-22T13:13:02.235Z] 13:13:02 INFO - GECKO(2874) | ++DOMWINDOW == 5 (0x7f689c3a5c00) [pid = 3021] [serial = 5] [outer = 0x7f68a41527a0]
[task 2019-03-22T13:13:02.443Z] 13:13:02 INFO - GECKO(2874) | ++DOMWINDOW == 6 (0x7f689c3a9c00) [pid = 3021] [serial = 6] [outer = 0x7f68a41527a0]
[task 2019-03-22T13:13:02.831Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 14 (0x7f52b0767400) [pid = 2923] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.832Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 13 (0x7f52b16f6c00) [pid = 2923] [serial = 4] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.833Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 12 (0x7f52b16f8400) [pid = 2923] [serial = 6] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.835Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 11 (0x7f52b16f9c00) [pid = 2923] [serial = 8] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.836Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 10 (0x7f52b1659000) [pid = 2923] [serial = 10] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.956Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 6 (0x7f08a7d64c00) [pid = 2944] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:02.957Z] 13:13:02 INFO - GECKO(2874) | --DOMWINDOW == 5 (0x7f08a7ddfc00) [pid = 2944] [serial = 5] [outer = (nil)] [url = about:blank]
[task 2019-03-22T13:13:03.035Z] 13:13:03 INFO - TEST-INFO | started process screentopng
[task 2019-03-22T13:13:03.913Z] 13:13:03 INFO - TEST-INFO | screentopng: exit 0
[task 2019-03-22T13:13:03.913Z] 13:13:03 INFO - Buffered messages logged at 13:13:02
[task 2019-03-22T13:13:03.915Z] 13:13:03 INFO - Entering test bound
[task 2019-03-22T13:13:03.916Z] 13:13:03 INFO - Testing with-controls case.
[task 2019-03-22T13:13:03.917Z] 13:13:03 INFO - Global property added while loading chrome://browser/content/nsContextMenu.js: gContextMenuContentData
[task 2019-03-22T13:13:03.918Z] 13:13:03 INFO - Global property added while loading chrome://browser/content/nsContextMenu.js: SpellCheckHelper
[task 2019-03-22T13:13:03.920Z] 13:13:03 INFO - Global property added while loading chrome://browser/content/nsContextMenu.js: LoginManagerContextMenu
[task 2019-03-22T13:13:03.922Z] 13:13:03 INFO - Global property added while loading chrome://browser/content/nsContextMenu.js: DevToolsShim
[task 2019-03-22T13:13:03.923Z] 13:13:03 INFO - Buffered messages finished
[task 2019-03-22T13:13:03.925Z] 13:13:03 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/pictureinpicture/tests/browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null
[task 2019-03-22T13:13:03.925Z] 13:13:03 INFO - Stack trace:
[task 2019-03-22T13:13:03.926Z] 13:13:03 INFO - @chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58:17
[task 2019-03-22T13:13:03.927Z] 13:13:03 INFO - Leaving test bound
[task 2019-03-22T13:13:03.928Z] 13:13:03 INFO - GECKO(2874) | MEMORY STAT | vsize 1911MB | residentFast 346MB | heapAllocated 130MB
[task 2019-03-22T13:13:03.930Z] 13:13:03 INFO - TEST-OK | toolkit/components/pictureinpicture/tests/browser_contextMenu.js | took 989ms
[task 2019-03-22T13:13:03.931Z] 13:13:03 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-03-22T13:13:03.932Z] 13:13:03 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/pictureinpicture/tests/browser_contextMenu.js | Found an unexpected tab at the end of test run: http://example.com/browser/toolkit/components/pictureinpicture/tests/test-page.html -
[task 2019-03-22T13:13:03.935Z] 13:13:03 INFO - GECKO(2874) | ++DOCSHELL 0x7fa6c8761000 == 2 [pid = 3050] [id = {719d4b79-5afc-40a7-806c-3d10a639eb63}]
[task 2019-03-22T13:13:03.942Z] 13:13:03 INFO - GECKO(2874) | ++DOMWINDOW == 3 (0x7fa6c8be8020) [pid = 3050] [serial = 3] [outer = (nil)]
[task 2019-03-22T13:13:03.943Z] 13:13:03 INFO - GECKO(2874) | [Child 3021, Main Thread] WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file /builds/worker/workspace/build/src/editor/composer/nsEditingSession.cpp, line 1221
[task 2019-03-22T13:13:03.944Z] 13:13:03 INFO - GECKO(2874) | ++DOMWINDOW == 4 (0x7fa6c8791000) [pid = 3050] [serial = 4] [outer = 0x7fa6c8be8020]
[task 2019-03-22T13:13:03.944Z] 13:13:03 INFO - checking window state

This appears to be from Bug 1535760, Mike can you take a look?

Flags: needinfo?(mconley)
Summary: Perma /browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null when Gecko 65 merges to Beta on 2018-12-03 → Perma /browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null when Gecko 68 merges to Beta on 2018-12-03
Summary: Perma /browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null when Gecko 68 merges to Beta on 2018-12-03 → Perma /browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null when Gecko 68 merges to Beta on 2019-05-06
Blocks: 1535760

Here, there is also the following failure: https://treeherder.mozilla.org/#/jobs?repo=try&revision=cee0fe3795e74b5b1b4bbf819b90f350837a26a9&searchStr=linux%2Cdevedition%2Copt%2Cmochitests%2Cwith%2Ce10s%2Ctest-linux32-devedition%2Fopt-mochitest-browser-chrome-e10s-5%2Cm-e10s%28bc5%29&selectedJob=235476414

Failure summary has

14:25:50 INFO - TEST-UNEXPECTED-FAIL | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out -
5099 14:26:15 INFO - TEST-UNEXPECTED-FAIL | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js:7 - TypeError: BrowserTestUtils is null
6325 14:29:15 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/pictureinpicture/tests/browser_contextMenu.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/components/pictureinpicture/tests/browser_contextMenu.js:58 - TypeError: menuItem is null
6332 14:29:15 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/pictureinpicture/tests/browser_contextMenu.js | Found an unexpected tab at the end of test run: http://example.com/browser/toolkit/components/pictureinpicture/tests/test-page.html -
13841 14:32:28 ERROR - Return code: 1
13842 14:32:28 ERROR - Got 4 unexpected statuses

Should we file a different bug?

Assignee: nobody → mconley
Component: General → Video/Audio Controls
Flags: needinfo?(mconley)
Priority: -- → P1
Pushed by mconley@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4644878c0feb
Remove NIGHTLY_BUILD ifdef around Picture-in-Picture context menu item. r=jaws
Status: NEW → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
You need to log in before you can comment on or make changes to this bug.